Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 5164)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 5165)
@@ -31,5 +31,5 @@
 
 #manage = "manage" in request.keys()
-screening_types = ('prence','pume','pce','pde','cest','sandwich','dp','ct','pt')
+screening_types = ('prence','pume','pce','pde','cest','sandwich','dp','ct','pt','sandwich2008')
 if not (traverse_subpath and traverse_subpath[0] in screening_types):
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -40,9 +40,10 @@
 headings['prence'] = 'Apply for Pre-NCE Programme (2007/2008)! '
 headings['pce'] = 'Apply for PCE Screening (2009/2010)! '
-headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2008/2009)! '
+headings['sandwich2008'] = 'Apply for Part Time Degree in Education (2008/2009)! '
+headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2009/2010)! '
 headings['pt'] = 'Apply for Part-Time Degree (2009/2010)! '
 headings['dp'] = 'Apply for Diploma Programmes (2009/2010)! '
 headings['ct'] = 'Apply for Certificate Programmes (2009/2010)! '
-headings['sandwich'] = 'Apply for Part Time Degree in Education (2008/2009)! '
+headings['sandwich'] = 'Apply for Part Time Degree in Education (2009/2010)! '
 configuration += ('heading',headings),
 
@@ -52,9 +53,10 @@
 headings_slip['prence'] = 'Pre-NCE Application (2007/2008) Acknowledgement Slip'
 headings_slip['pce'] = 'PCE Screening (2009/2010) Acknowledgement Slip'
-headings_slip['cest'] = 'CEST Application (2008/2009) Acknowledgement Slip'
+headings_slip['sandwich2008'] = 'Application for Part Time Degree in Education (2008/2009) Acknowledgement Slip'
+headings_slip['cest'] = 'CEST Application (2009/2010) Acknowledgement Slip'
 headings_slip['pt'] = 'Part-Time Degree Application (2009/2010) Acknowledgement Slip'
 headings_slip['dp'] = 'Diploma Programme Application (2009/2010) Acknowledgement Slip'
 headings_slip['ct'] = 'Certificate Programme Application (2009/2010) Acknowledgement Slip'
-headings_slip['sandwich'] = 'Application for Part Time Degree in Education (2008/2009) Acknowledgement Slip'
+headings_slip['sandwich'] = 'Application for Part Time Degree in Education (2009/2010) Acknowledgement Slip'
 configuration += ('heading_slip',headings_slip),
 
@@ -68,4 +70,5 @@
 deaddates['prence'] = DateTime.DateTime(pprops.date1)
 deaddates['pce'] = DateTime.DateTime(pprops.date5)
+deaddates['sandwich2008'] = DateTime.DateTime(pprops.date1)  #is expired like pume
 deaddates['cest'] = DateTime.DateTime(pprops.date3)
 deaddates['sandwich'] = DateTime.DateTime(pprops.date4)
@@ -85,5 +88,5 @@
 confirm['prence'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
 confirm['pce'] = "I confirm that the Passport Photograph uploaded on this form is a true picture of me."
-confirm['cest'] = confirm['sandwich'] = confirm['pt'] = confirm['dp'] = confirm['ct'] = """I hereby acknowledge 
+confirm['cest'] = confirm['sandwich'] = confirm['pt'] = confirm['dp'] = confirm['ct'] = confirm['sandwich2008'] = """I hereby acknowledge 
 by ticking this check box that if it is discovered
 at any time, that I do not possess any of the qualifications, which I have obtained, I will be
@@ -123,5 +126,5 @@
 if traverse_subpath and traverse_subpath[0] in screening_types:
     screening_type = traverse_subpath[0]
-without_reg_no = screening_type in ('prence','cest','sandwich')
+without_reg_no = screening_type in ('prence','cest','sandwich','sandwich2008')
 info['expired'] = current.greaterThan(deaddates[screening_type])
 info['expiration_date'] = deaddates[screening_type]
@@ -160,6 +163,8 @@
     if without_reg_no:
         ## see fceokene #147 
-        reg_no = ds.get('pin_n','').upper()
-        #reg_no = ds.get('pin_p') + ds.get('pin_b') + ds.get('pin_n')
+        if screening_type == 'sandwich2008':
+            reg_no = ds.get('pin_n','').upper()
+        else:
+            reg_no = ds.get('pin_p') + ds.get('pin_b') + ds.get('pin_n')
     else:
         reg_no = ds.get('reg_no')
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form.pt	(revision 5164)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission_form.pt	(revision 5165)
@@ -86,5 +86,5 @@
             <p>Instructions :</p>
             <ul>
-              <li>Enter your <span tal:condition="python:not info['screening_type'] in ('prence','cest','sandwich')">JAMB Registration Number and the</span> Application PIN.</li> 
+              <li>Enter your <span tal:condition="python:not info['screening_type'] in ('prence','cest','sandwich','sandwich2008')">JAMB Registration Number and the</span> Application PIN.</li> 
               <li>Fill the form and upload your Passport Photograph with red background in jpg format.</li> 
               <li>Save and preview picture.
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission_manage_form.pt	(revision 5164)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission_manage_form.pt	(revision 5165)
@@ -63,5 +63,5 @@
         <span tal:condition="rendered_main">
           <h3>Application Record <span tal:replace="reg_no"/> 
-            <tal:block condition="python: ds['screening_type'] == 'cest' and ccode">
+            <tal:block condition="python: ds['screening_type'] in ('cest','sandwich2008') and ccode">
                 (<span tal:replace="python:'%s%s/%s' % (ccode[:3],serial,context.getSessionId()[0])" />)
             </tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission_slip.pt	(revision 5164)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission_slip.pt	(revision 5165)
@@ -12,5 +12,5 @@
            app_no string:${ccode}${serial}/${session_id}; 
            screening_type options/ds/screening_type;
-           with_app_no python: screening_type in ('cest','sandwich');    
+           with_app_no python: screening_type in ('cest','sandwich','sandwich2008');    
            "
            >
Index: WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 5164)
+++ WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 5165)
@@ -141,5 +141,5 @@
         <th>
           <label>
-            Deadline CEST Application 2008/2009:
+            Deadline CEST Application:
           </label>
         </th>