Index: WAeUP_SRP/trunk/skins/waeup_aaua/getPaymentsFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaua/getPaymentsFolderInfo.py	(revision 5169)
+++ WAeUP_SRP/trunk/skins/waeup_aaua/getPaymentsFolderInfo.py	(revision 5171)
@@ -56,10 +56,15 @@
 # begin customization
 
-if review_state in ('cleared_and_validated','returning',):
-    if session in ('07','06',):
+if review_state in ('returning',):
+    if session in ('06',):
         info['payment_method'] = "online_payment"
     else:
         info['payment_method'] = "first_instalment"
-else:
+elif review_state in ('cleared_and_validated',):
+    if session in ('06','07',):
+        info['payment_method'] = "online_payment"
+    else:
+        info['payment_method'] = "first_instalment"
+elif review_state in ('school_fee_paid','courses_registered','courses_validated',):
     second_instalment_records = aq_payments(Eq('student_id',student_id) & Eq('category','schoolfee2') & Eq('session_id',session) & Eq('status','paid'))
     if not second_instalment_records:
Index: WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py	(revision 5169)
+++ WAeUP_SRP/trunk/skins/waeup_aaua/getSchoolFee.py	(revision 5171)
@@ -27,23 +27,27 @@
      else:   
         d['all'] = 80000
-elif brain.session in ('06','07',): 
+elif brain.session in ('06','07',) and brain.review_state == 'cleared_and_validated': 
+    if brain.mode == 'dp_pt' and str(brain.level) in ('100',):  
+        d['all'] = 40000
+    elif brain.mode == 'ug_pt' and str(brain.level) in ('100','200',):  
+        d['all'] = 50000
+    elif brain.mode == 'pg_pt':  
+        if str(brain.level) == '600':    # only 600 fresh 
+            d['all'] = 60000
+        elif str(brain.level) == '700':  # only 700 fresh
+            d['all'] = 75000  
+        else:
+            d['all'] = 0    
+    else:
+        d['all'] = 0
+elif brain.session in ('06',) and brain.review_state == 'returning': 
     if brain.mode == 'dp_pt':  
-        if str(brain.level) in ('100',) and brain.review_state == 'cleared_and_validated':    # only 100 fresh 
-            d['all'] = 40000
-        else:
-            d['all'] = 35000
+        d['all'] = 35000
     elif brain.mode == 'ug_pt':  
-        if str(brain.level) in ('100','200',) and brain.review_state == 'cleared_and_validated':    # only 100 or 200 fresh 
-            d['all'] = 50000
-        else:
-            d['all'] = 45000
+        d['all'] = 45000
     elif brain.mode == 'pg_pt':  
-        if str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':    # only 600 fresh 
-            d['all'] = 60000
-        elif str(brain.level) == '600' and brain.verdict == 'C':                           # 600 repeaters
+        if str(brain.level) == '600' and brain.verdict == 'C':      # 600 repeaters
             d['all'] = 55000
-        elif str(brain.level) == '700' and brain.review_state == 'cleared_and_validated':  # only 700 fresh
-            d['all'] = 75000      
-        elif str(brain.level) == '600':                                                    # going to register for 700
+        elif str(brain.level) == '600':                             # going to register for 700
             d['all'] = 75000        
         else:
@@ -51,5 +55,6 @@
     else:
         d['all'] = 0
-elif brain.session in ('08',): 
+        
+elif brain.session in ('07','08','09',):       # 07 returning students, and all students registering for 08 upwards
     if instalment == '1':
         d['all'] = 8888888      # for testing
Index: WAeUP_SRP/trunk/skins/waeup_aaua/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaua/pay_interswitch.py	(revision 5169)
+++ WAeUP_SRP/trunk/skins/waeup_aaua/pay_interswitch.py	(revision 5171)
@@ -42,5 +42,5 @@
 info['type_description'] = ''
 info['pay_bill_to'] = ''
-fee_dict = context.getSchoolFee(student_record)
+fee_dict = context.getSchoolFee(student_record,'1')
 fulltime = student_record.mode.endswith('_ft')
 