Index: /WAeUP_SRP/trunk/profiles/aaua/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaua/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/aaua/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property> 
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/aaue/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/aaue/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/aaue/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/fceokene/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceokene/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/fceokene/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/fceoyo/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/fceoyo/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/fceoyo/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/futminna/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/futminna/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/futminna/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property>
 </site>
Index: /WAeUP_SRP/trunk/profiles/nau/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/nau/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/nau/properties.xml	(revision 5177)
@@ -18,3 +18,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/ois/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/ois/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/uniben/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/uniben/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/uniben/properties.xml	(revision 5177)
@@ -18,3 +18,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/profiles/unilorin/properties.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/unilorin/properties.xml	(revision 5176)
+++ /WAeUP_SRP/trunk/profiles/unilorin/properties.xml	(revision 5177)
@@ -13,3 +13,5 @@
  <property name="date5" type="date">2000/01/01 01:00</property>
  <property name="date6" type="date">2000/01/01 01:00</property>  
+ <property name="enable_acco_booking" type="boolean">True</property>
+ <property name="enable_payment" type="boolean">True</property> 
 </site>
Index: /WAeUP_SRP/trunk/skins/cps_custom/reconfig.py
===================================================================
--- /WAeUP_SRP/trunk/skins/cps_custom/reconfig.py	(revision 5176)
+++ /WAeUP_SRP/trunk/skins/cps_custom/reconfig.py	(revision 5177)
@@ -25,4 +25,6 @@
     date5=form.get('date5'),
     date6=form.get('date6'),
+    enable_acco_booking=form.get('enable_acco_booking'),
+    enable_payment=form.get('enable_payment'),
     )
 
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 5176)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 5177)
@@ -16,5 +16,6 @@
 import DateTime
 
-booking_disabled = False
+pprops = context.portal_properties
+booking_disabled = not pprops.enable_acco_booking
 
 request = context.REQUEST
Index: /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 5176)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 5177)
@@ -173,5 +173,28 @@
         </td>
       </tr>         
-    
+      <tr>
+        <th>
+          <label>
+            Enable Accommodation Booking:
+          </label>
+        </th>
+        <td>
+          <input type="checkbox" name="enable_acco_booking" id="enable_acco_booking" value=""
+                 tal:attributes="value pprops/enable_acco_booking; 
+                                 checked pprops/enable_acco_booking" />
+        </td>
+      </tr>        
+      <tr>
+        <th>
+          <label>
+            Enable Payment:
+          </label>
+        </th>
+        <td>
+          <input type="checkbox" name="enable_payment" id="enable_payment" value=""
+                 tal:attributes="value pprops/enable_payment;
+                                 checked pprops/enable_payment" />
+        </td>
+      </tr>          
     </table>
     <p>