Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 5185)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 5186)
@@ -1707,5 +1707,5 @@
                         break
                     if not applicant.pin:
-                        s_logger.info('%s successfully used PIN %s' % (ref,pin_str))
+                        s_logger.info('%s successfully used PIN %s, imported applicant record modified' % (ref,pin_str))
                         d = {}
                         d['reg_no'] = applicant.reg_no
@@ -1716,6 +1716,6 @@
                     elif applicant.pin != pin_str:
                         s_logger.info('%s/%s tried to enter application record with different PIN %s' % (member_id,ref,pin_str))
-                    elif applicant.pin == pin_str:
-                        s_logger.info('%s/%s repeatedly entered application record with PIN %s' % (member_id,ref,pin_str))
+                    #elif applicant.pin == pin_str:
+                        #s_logger.info('%s/%s repeatedly entered application record with PIN %s' % (member_id,ref,pin_str))
                 else:
                     datastructure['reg_no'] = ref
@@ -1727,7 +1727,7 @@
                             s_logger.info('%s tried to use %s application form but has applied for %s' % (ref,screening_type_request,getattr(res[0],'screening_type',None)))
                             break
-                        s_logger.info('%s/%s repeatedly entered application record with PIN %s' % (member_id,ref,pin_str))
+                        #s_logger.info('%s/%s repeatedly entered application record with PIN %s' % (member_id,ref,pin_str))
                     else:
-                        s_logger.info('%s successfully used PIN %s' % (ref,pin_str))
+                        s_logger.info('%s successfully used PIN %s, applicant record added' % (ref,pin_str))
                         d = {}
                         d['reg_no'] = ref
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/application_status.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/application_status.xml	(revision 5185)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/application_status.xml	(revision 5186)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="entered" msgid="">APP PIN entered</item>
+    <item key="entered" msgid="">PIN entered</item>
     <item key="reset" msgid="">Record reset (not yet re-submitted)</item>
     <item key="edited" msgid="">Record edited (not yet submitted)</item>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/screening_types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/screening_types.xml	(revision 5185)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/screening_types.xml	(revision 5186)
@@ -9,4 +9,7 @@
   <item key="pde" msgid="">PUDE</item>
   <item key="cest" msgid="">CEST</item>
+  <item key="dp" msgid="">Diploma</item>
+  <item key="pt" msgid="">Part-Time</item>
+  <item key="ct" msgid="">Certificate</item>
   <item key="sandwich2008" msgid="">Sandwich 2008</item>
   <item key="pce" msgid="">PCE</item>
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 5185)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 5186)
@@ -41,6 +41,6 @@
 headings['pce'] = 'Apply for PCE Screening (2009/2010)! '
 headings['sandwich2008'] = 'Apply for Part Time Degree in Education (2008/2009)! '
-headings['cest'] = 'Apply for Part-Time Degree or Diploma Programmes (2009/2010)! '
-headings['pt'] = 'Apply for Part-Time Degree (2009/2010)! '
+headings['cest'] = 'Apply for Part-Time Degree Programmes (2009/2010)! '
+headings['pt'] = 'Apply for Part-Time Degree Programmes (2009/2010)! '
 headings['dp'] = 'Apply for Diploma Programmes (2009/2010)! '
 headings['ct'] = 'Apply for Certificate Programmes (2009/2010)! '
@@ -126,5 +126,5 @@
 if traverse_subpath and traverse_subpath[0] in screening_types:
     screening_type = traverse_subpath[0]
-without_reg_no = screening_type in ('prence','cest','sandwich','sandwich2008')
+without_reg_no = screening_type in ('prence','cest','sandwich','sandwich2008','dp','pt','ct')
 info['expired'] = current.greaterThan(deaddates[screening_type])
 info['expiration_date'] = deaddates[screening_type]
@@ -272,8 +272,8 @@
     if submitted:
         mode = "view"
-        logger.info('%s/%s views application record' % (member,reg_no))
+        logger.info('%s/%s is viewing application record' % (member,reg_no))
     else:
         mode = "edit"
-        logger.info('%s/%s edits application record' % (member,reg_no))
+        logger.info('%s/%s started editing application record' % (member,reg_no))
     psm = ""
     if without_reg_no:
Index: WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt	(revision 5185)
+++ WAeUP_SRP/trunk/skins/waeup_uniben/apply_admission_slip.pt	(revision 5186)
@@ -40,10 +40,10 @@
           NOTICE:
           <br /><br />
-          SCREENING TESTS TAKE PLACE FOR PART TIME (UNDERGRADUATE) CANDIDATES ON SATURDAY, JUNE 5TH, 2010. 
+          SCREENING TESTS TAKE PLACE FOR PART TIME (UNDERGRADUATE) CANDIDATES ON SATURDAY, JUNE 12TH, 2010. 
           PLEASE REPORT TO THE VENUE OF SCREENING BY 7:30 AM.
         </span>
         <span tal:condition="python: screening_test">
           <br /><br />
-          PLEASE REPRINT YOUR ACKNOWLEDGEMENT SLIP TO GET SCREENING VENUE AS FROM TUESDAY, JUNE 1ST, 2010.
+          PLEASE REPRINT YOUR ACKNOWLEDGEMENT SLIP TO GET SCREENING VENUE AS FROM TUESDAY, JUNE 8TH, 2010.
         </span>
         <span tal:condition="python: screening_test">