Index: /WAeUP_SRP/trunk/skins/waeup_aaue/payments_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaue/payments_view.pt	(revision 5189)
+++ /WAeUP_SRP/trunk/skins/waeup_aaue/payments_view.pt	(revision 5189)
@@ -0,0 +1,122 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main"
+              tal:define="info context/getPaymentsFolderInfo;">
+    <span tal:condition="not: info">
+      <span tal:content="here/illegal_view" />
+    </span>
+    <span tal:condition="info" tal:omit-tag="">
+      <span tal:define= " rows info/payments;
+      review_state info/review_state;
+      is_student info/is_student;
+      s_name info/student_name;"
+      >
+        <a href=""
+           tal:attributes="href string:${context/aq_parent/absolute_url}">
+          <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+          Up one level
+        </a>
+        <h3> 
+          <span tal:condition="not:is_student" tal:omit-tag="">
+            <span tal:content="s_name" />:</span>
+          <span tal:condition="is_student" tal:omit-tag="">My</span> Payments
+        </h3>
+        <br />
+        <table class="registration" width="100%">
+          <tr>
+            <th>Description, Amount, Date</th>
+            <th>Response</th>
+            <th>Transaction Code</th>
+          </tr>
+          <tr tal:repeat="row rows"
+              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td style="white-space:normal" tal:attributes="class string:${row/confirmed}">
+              <a style="white-space:normal"  target="slip" href="" 
+                 tal:attributes="href string:${row/url}/payment_receipt"
+                 onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                <strong tal:content="row/title" /></a> 
+            </td>
+            <td style="white-space:normal" tal:content="row/resp_desc" />
+            <td tal:content="row/trans_ref" />
+            <td>
+              <a tal:condition="row/is_approvable"
+                 tal:attributes="href string:${row/url}/approve_epayment;
+                 onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure? You will not be able to undo the approval.'), );"
+                 >
+                [approve]
+              </a>             
+            </td>
+            <td>
+              <a tal:condition="row/is_requeryable"
+                 tal:attributes="href row/href;
+                 onclick python:'return window.confirm(\'%s\')' %(cpsmcat('Are you sure?'), );"
+                 >
+                [requery]
+              </a>             
+            </td>
+            <td>
+              <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
+                >
+                [edit]
+              </a>             
+            </td>            
+          </tr>
+        </table>
+        <br />
+        <div>
+          <form tal:condition="python: info.get('payment_method') in ('online_payment','both_payments')" 
+                tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Pay"
+                   tal:attributes="value string:Initiate ${info/next_session_str} School Fee Payment by Cash Card"
+                   />
+          </form>  
+          <form tal:condition="python: info.get('payment_method') in ('first_instalment',)" 
+                tal:attributes="action string: ${context/absolute_url}/pay_interswitch" method="post" class="group">
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Pay"
+                   tal:attributes="value string:Initiate ${info/next_session_str} School Fee Payment by Cash Card (First Instalment)"
+                   />
+          </form>  
+          <form tal:condition="python: info.get('payment_method') in ('second_instalment',)" 
+                tal:attributes="action string: ${context/absolute_url}/pay_interswitch2" method="post" class="group">
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Pay"
+                   tal:attributes="value string:Initiate School Fee Payment by Cash Card (Second Instalment)"
+                   />
+          </form>                       
+          <form tal:condition="python: info.get('payment_method') in ('sc_payment','both_payments')" 
+                tal:attributes="action string: ${context/absolute_url}/pay_by_sc" method="post" class="group">
+            <input type="hidden" name="paid_session" 
+                   tal:attributes="value info/next_session"
+                   />
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Pay"
+                   tal:attributes="value string:Initiate ${info/next_session_str} School Fee Payment by Scratch Card"
+                   />
+          </form>    
+          
+          <form tal:condition="info/gown|nothing" 
+                tal:attributes="action string: ${context/absolute_url}/request_gown" method="post" class="group">
+            <input type="submit" name="epayment" 
+                   class="context" 
+                   value="Initiate Gown Hiring" 
+                   />
+          </form>            
+          
+                
+          <div tal:condition="info/reasons">
+            <font color="red" tal:content="info/reasons"></font>
+            <br /><br />
+          </div>
+        </div>        
+      </span>
+    </span>
+  </metal:main>
+</metal:body>