Index: WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTables.py	(revision 5199)
+++ WAeUP_SRP/trunk/WAeUPTables.py	(revision 5200)
@@ -849,4 +849,5 @@
                        ('matric_no',
                         'lga',
+                        'date_of_birth',  # birthday
                        )
                       },
@@ -859,4 +860,5 @@
                         'email',
                         'phone',
+                        'marit_stat',
                        )
                       },
@@ -986,4 +988,22 @@
         return getattr(certificate_res[0].getObject().getContent(),'study_mode','unknown')    
 
+
+    def get_from_doc_marit_stat(self,doc,cached_data={}):
+        "return the students marit_stat"
+        if doc is None:
+            return None
+        ms = getattr(doc,'marit_stat',None)
+        if ms == True:
+            return 'married'
+        elif ms == False:
+            return 'single'
+        else:
+            return 'undefined'
+            
+    def get_from_doc_date_of_birth(self,doc,cached_data={}):
+        "return the students date of birth"
+        if doc is None:
+            return None
+        return getattr(doc,'birthday',None)            
 
     def get_from_doc_session(self,doc,cached_data={}):
Index: WAeUP_SRP/trunk/profiles/default/students_catalog.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 5199)
+++ WAeUP_SRP/trunk/profiles/default/students_catalog.xml	(revision 5200)
@@ -79,3 +79,6 @@
  <column value="entry_session"/>
  <column value="session"/>
+ <column value="date_of_birth"/>
+ <column value="marit_stat"/>
+ 
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_student/getFormattedStudentEntry.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getFormattedStudentEntry.py	(revision 5199)
+++ WAeUP_SRP/trunk/skins/waeup_student/getFormattedStudentEntry.py	(revision 5200)
@@ -26,4 +26,6 @@
     elif f == "name":
         d[f] = d[f].strip()
+    #elif f == "date_of_birth":
+    #    d[f] = str(d[f])        
 
 if not d['email']:
Index: WAeUP_SRP/trunk/skins/waeup_utilities/fillMetadata.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/fillMetadata.py	(revision 5200)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/fillMetadata.py	(revision 5200)
@@ -0,0 +1,59 @@
+## Script (Python) "fillMetadata"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST
+##title=
+##
+# $Id$
+"""
+
+"""
+
+request = REQUEST
+wftool = context.portal_workflow
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+roles = member.getRolesInContext(context)
+retcat = context.returning_import
+scat = context.students_catalog
+students_folder = context.portal_url.getPortalObject().campus.students
+if str(member) not in ('admin',):
+    return 
+count = 0
+students = scat()
+#from Products.zdb import set_trace;set_trace()
+for sbrain in students:
+    student = getattr(students_folder,sbrain.id,None)
+    if student is None:
+        continue
+        
+        
+    per = getattr(student,'personal',None)
+    if per is None:
+        continue
+    #from Products.zdb import set_trace;set_trace()
+    marit_stat = per.getContent().marit_stat
+    if marit_stat == True:
+        ms = 'married'
+    elif marit_stat == False:
+        ms = 'single'
+    else:
+        ms = 'undefined'
+        
+    clear = getattr(student,'clearance',None)
+    if clear is None:
+        continue
+    birthday = clear.getContent().birthday
+    if birthday:
+        bd = birthday
+    else:
+        bd = ''
+                
+    context.students_catalog.modifyRecord(id = sbrain.id,marit_stat = ms, date_of_birth = bd)
+return 'ready'
+    
+    
+    