Index: /main/waeup.widgets.core/trunk/buildout.cfg
===================================================================
--- /main/waeup.widgets.core/trunk/buildout.cfg	(revision 5286)
+++ /main/waeup.widgets.core/trunk/buildout.cfg	(revision 5286)
@@ -0,0 +1,114 @@
+[buildout]
+develop = .
+parts = app data zopectl i18n test makedocs coverage-detect coverage-report
+find-links = http://download.zope.org/distribution/
+#newest = false
+#extends= http://grok.zope.org/releaseinfo/grok-1.0.cfg
+extends= http://grok.zope.org/releaseinfo/grok-1.1.cfg
+#extends = http://svn.zope.org/*checkout*/groktoolkit/trunk/grok.cfg
+versions = versions
+
+[versions]
+#zc.sourcefactory = 0.3.5
+#zope.testing = 3.7.0
+z3c.testsetup = 0.6.1
+hurry.workflow = 0.10
+#hurry.query = 0.9.2
+zope.xmlpickle = 3.4.0
+#hurry.yui = 2.7.0
+#hurry.zoperesource = 0.4
+megrok.layout = 1.0.2
+Sphinx = 0.6.4
+hurry.resource = 0.4.1  # We need to pin this as hurry.resource 0.9
+                        # requires extra packages (WebOb) we don't
+                        # like to depend on now.
+
+
+[app]
+recipe = zc.zope3recipes>=0.5.3:application
+eggs = waeup.widgets.core
+site.zcml = <include package="waeup.widgets.core" />
+            <include package="zope.app.twisted" />
+            <configure i18n_domain="waeup.widgets.core">
+              <unauthenticatedPrincipal id="zope.anybody"
+                                        title="Unauthenticated User" />
+              <unauthenticatedGroup id="zope.Anybody"
+                                    title="Unauthenticated Users" />
+              <authenticatedGroup id="zope.Authenticated"
+                                title="Authenticated Users" />
+              <everybodyGroup id="zope.Everybody"
+                              title="All Users" />
+              <principal id="zope.manager"
+                         title="Manager"
+                         login="grok"
+                         password_manager="Plain Text"
+                         password="grok"
+                         />
+
+	      <grant permission="zope.View"
+                     principal="zope.Authenticated" />
+	      <grant permission="zope.app.dublincore.view"
+                     principal="zope.Authenticated" />
+
+              <!-- Replace the following directive if you don't want
+                   public access -->
+              <grant permission="zope.View"
+                     principal="zope.Anybody" />
+              <grant permission="zope.app.dublincore.view"
+                     principal="zope.Anybody" />
+
+	      <grant permission="waeup.Public"
+                     principal="zope.Everybody" />
+
+              <role id="zope.Manager" title="Site Manager" />
+              <role id="zope.Member" title="Site Member" />
+              <grantAll role="zope.Manager" />
+              <grant role="zope.Manager"
+                     principal="zope.manager" />
+           </configure>
+
+[data]
+recipe = zc.recipe.filestorage
+
+# this section named so that the start/stop script is called bin/zopectl
+[zopectl]
+recipe = zc.zope3recipes:instance
+application = app
+zope.conf = ${data:zconfig}
+
+[test]
+recipe = zc.recipe.testrunner
+eggs = waeup.widgets.core [test]
+defaults = ['--tests-pattern', '^f?tests$', '-v']
+
+# Collect test coverage data.
+[coverage-detect]
+recipe = zc.recipe.testrunner
+eggs = waeup.widgets.core
+defaults = ['--tests-pattern', '^f?tests$', '-v', '--coverage', 'coverage']
+
+# Create a coverage report.
+# Make sure to run bin/coverage-detect to collect the data for the report
+# first!
+[coverage-report]
+recipe = zc.recipe.egg
+eggs = z3c.coverage
+scripts = coveragereport
+arguments = ('${buildout:parts-directory}/coverage-detect/coverage', '${buildout:directory}/coverage-report')
+
+
+
+# this section named so that the i18n scripts are called bin/i18n...
+[i18n]
+recipe = lovely.recipe:i18n
+package = waeup.widgets.core
+domain = waeup.widgets.core
+location = src/waeup/sirp
+output = locales
+
+[makedocs]
+recipe = z3c.recipe.sphinxdoc
+eggs = waeup.widgets.core [docs]
+default.css =
+layout.html = 
+extensions = sphinx.ext.autodoc
Index: /main/waeup.widgets.core/trunk/setup.py
===================================================================
--- /main/waeup.widgets.core/trunk/setup.py	(revision 5286)
+++ /main/waeup.widgets.core/trunk/setup.py	(revision 5286)
@@ -0,0 +1,83 @@
+import os
+from setuptools import setup, find_packages
+
+version = '0.1dev'
+
+install_requires =[
+    'setuptools',
+    'grok',
+    'grokui.admin',
+    'hurry.query',
+    'hurry.workflow',
+    # Add extra requirements here
+    #'zope.xmlpickle',
+    #'hurry.yui',
+    #'hurry.zoperesource',
+    #'zc.sourcefactory',
+    #'megrok.layout',
+    #'zope.app.authentication', # BBB: During switch to grok 1.1
+    #'zope.app.testing',        # XXX: test_permissions needs this
+    #'zope.testbrowser',        # XXX: test_permissions needs this
+    ],
+
+tests_require = [
+    #'z3c.testsetup',
+    #'zope.app.testing',
+    'zope.testbrowser',
+    'zope.testing',
+    ]
+
+def read(*rnames):
+    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()
+
+long_description = (
+    read('README.txt')
+    + '\n\n'
+    + read('src', 'waeup', 'widgets', 'core', 'README.txt')
+    + '\n\n'
+    + read('CHANGES.txt')
+    + '\n\n'
+    + 'Download\n'
+    + '********\n'
+    )
+
+setup(name = 'waeup.widgets.core',
+      version = version,
+      description = "Zope widgets for the waupe.sirp portal.",
+      long_description = long_description,
+
+      keywords = "portal waeup sirp student university registration grok zope",
+      # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
+      classifiers = [
+        'Development Status :: 3 - Alpha',
+        'Environment :: Web Environment',
+        'Intended Audience :: Education',
+        'License :: OSI Approved :: GNU General Public License (GPL)',
+        'Programming Language :: Python',
+        'Operating System :: POSIX',
+        'Operating System :: POSIX :: Linux',
+        'Framework :: Zope3',
+        'Topic :: Education',
+        'Topic :: Internet :: WWW/HTTP',
+        ],
+      author = "The WAeUP team.",
+      author_email = "",
+      url = "http://www.waeup.org/",
+      license = "GPL",
+      package_dir = {'': 'src'},
+      packages= find_packages('src'),
+      namespace_packages = ['waeup', 'waeup.widgets'],
+      include_package_data = True,
+      zip_safe = False,
+      install_requires = install_requires,
+      tests_require = tests_require,
+      extras_require = dict(
+        test = tests_require,
+        docs = ['Sphinx',
+                'z3c.recipe.sphinxdoc',
+                ],
+        ),
+      entry_points="""
+      # Add entry points here
+      """,
+      )